package com.oqpo.api.client.oqlink.dto;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(description = "매장 단가 변경 응답")
@Data
@EqualsAndHashCode(callSuper = false)
public class OqScmStorePriceChangeResModel extends OqScmApiResModel{

	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "매장번호", required = true)
	private String storeNo;
	@ApiModelProperty(value = "메뉴 리스트", required = true)
	private List<OqScmMenuModel> menuList;
	
}