package com.oqpo.api.client.oqlink.dto;

import java.util.List;

import org.springframework.web.multipart.commons.CommonsMultipartFile;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class StoreMenuInboundModel {

	@ApiModelProperty(value = "입고번호", required = true)
	private String inboundNo;
	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "매장번호", required = true)
	private String storeNo;
	private String storeNm;
	@ApiModelProperty(value = "메뉴코드", required = true)
	private String menuCd;
	@ApiModelProperty(value = "메뉴명", required = false)
	private String menuNm;
	@ApiModelProperty(value = "입고유형(10:입고,20:재고수량수정)", required = true)
	private String inboundType;
	private String inboundTypeNm;
	@ApiModelProperty(value = "입고수량", required = true)
	private String inboundCnt;
	@ApiModelProperty(value = "조정수량", required = true)
	private String adjustCnt;	
	@ApiModelProperty(value = "입고가", required = true)
	private String inboundPrice;
	@ApiModelProperty(value = "판매가", required = true)
	private String salePrice;
	@ApiModelProperty(value = "판매수량", required = true)
	private String saleCnt;
	@ApiModelProperty(value = "비고", required = false)
	private String note;
	@ApiModelProperty(value = "발주요청번호", required = false)
	private String orderReqNo;
	@ApiModelProperty(value = "판매완료여부", required = false)
	private String saleEndYn;

	@ApiModelProperty(value = "알림최소수량(안전재고)", required = false)
	private String notifyMinCnt;

	@ApiModelProperty(value = "이력순번", required = false)
	private String hstSeq;
	
	private String schStoreNo;
	private String schClassCd;
	private String barcodeNo;
	private String schSDate;
	private String schEDate;
	private String delYn;
	private String regId;
	private String editId;

}
