package com.oqpo.api.web.dto.request.stinfo.store;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class ChangeStoreLoanDvsnlRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @NotBlank
    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @NotBlank
    @ApiModelProperty(value = "여신코드")
    private String loanDvsn;

    @ApiModelProperty(value = "여신코드")
    private Integer credtLimtAmt;
}
