package com.oqpo.api.client.oqlink.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(description = "브랜드정보 요청 응답")
@Data
@EqualsAndHashCode(callSuper = false)
public class OqScmBrandInfoResModel extends OqScmApiResModel{

	@ApiModelProperty(value = "브랜드코드", required = true)
	private String brandCd;
	@ApiModelProperty(value = "브랜드명", required = true)
	private String brandNm;
	@ApiModelProperty(value = "카테고리코드", required = true)
	private String cateCd;
	@ApiModelProperty(value = "삭제여부", required = true)
	private String delYn;
	@ApiModelProperty(value = "브랜드아이디", required = true)
	private String brandId;
	
}