package com.oqpo.api.enums;

import lombok.Getter;
import lombok.Setter;

public enum OqIfResult {

    Ok("00", "정상"), //
    ERR1("01", "품목유형 잘못 표기되었습니다.."), //
    ERR2("02", "내외자구분 잘못 표기되었습니다."), //
    ERR3("03", "발주여부 잘못 표기되었습니다."), //
    ERR4("04", "기본단위 잘못 표기되었습니다."), //
    ERR5("05", "구매품목여부 잘못 표기되었습니다."), //
    ERR6("06", "판매품목여부 잘못 표기되었습니다."), //
    ERR7("07", "중량값이 잘못 표기 되었습니다."), //
    ERR8("08", "중량단위 잘못 표기되었습니다."), //
    ERR9("09", "부피값이 잘못 표기되었습니다."), //
    ERR10("10", "부피단위 잘못 표기되었습니다."), //
    ERR11("11", "가로값이 잘못 표기되었습니다."), //
    ERR12("12", "가로단위 잘못 표기되었습니다."), //
    ERR13("13", "세로값이 잘못 표기되었습니다."), //
    ERR14("14", "세로단위 잘못 표기되었습니다."), //
    ERR15("15", "높이값이 잘못 표기되었습니다."), //
    ERR16("16", "높이단위 잘못 표기되었습니다."), //
    ERR17("17", "유통기한여부 잘못 표기되었습니다."), //
    ERR18("18", "유통가능기간 잘못 표기되었습니다."), //
    ERR19("19", "반품가능여부 잘못 표기되었습니다."), //
    ERR20("20", "반품구분 잘못 표기되었습니다."), //
    ERR21("21", "바코드 중복입니다."), //
    ERR22("22", "배송구분  잘못 표기되었습니다."), //
    ERR23("22", "엑셀 업로드파일에 바코드 중복이 있습니다."), //


    ;


    OqIfResult(String cd, String nm) {
        this.cd = cd;
        this.name = nm;
    }

    @Getter
    @Setter
    private String cd;

    @Getter
    @Setter
    private String name;


    public static String getName(String ccd) {
        OqIfResult[] values = OqIfResult.values();
        for (OqIfResult icd : values) {
            if (icd.cd.equals(ccd)) {
                return icd.name;
            }
        }
        return ccd;
    }

}
