package com.oqpo.api.web.dto.response.stinfo.brand;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StoreIngSearchListResponse {

    @ApiModelProperty(value = "ViewCd")
    private String viewCd ;

    @ApiModelProperty(value = "브랜명아이디")
    private String brandId ;

    @ApiModelProperty(value = "매장아이디")
    private String storeId ;

    @ApiModelProperty(value = "매장명")
    private String storeNm ;

    @ApiModelProperty(value = "여신")
    private String loanDvsn;

    @ApiModelProperty(value = "여신명")
    private String loanDvsnNm;

    @ApiModelProperty(value = "발주요청건수")
    private Integer pchCnt ;

    @ApiModelProperty(value = "발주진행건수")
    private Integer podrCnt ;

    @ApiModelProperty(value = "배송진행건수")
    private Integer dlvCnt ;

    @ApiModelProperty(value = "반품요청건수")
    private Integer rpchCnt ;

    @ApiModelProperty(value = "반품발주진행건수")
    private Integer rodrCnt ;

    @ApiModelProperty(value = "수거진행건수")
    private Integer pickCnt ;

    @ApiModelProperty(value = "변경가능여부")
    private String chgPassYn ;

}
